Bug 1473404 - [RFE] Naming Resource conventions (allow names >15characters, allow use of more special characters [periods specifically]) [NEEDINFO]
[RFE] Naming Resource conventions (allow names >15characters, allow use of mo...
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
4.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Martin Perina
Pavel Stehlik
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 13:46 EDT by Camry Fedei
Modified: 2018-07-18 11:26 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cfedei: needinfo? (mperina)


Attachments (Terms of Use)

  None (edit)
Comment 1 Martin Perina 2017-08-01 17:24:54 EDT
We have following limitation on names in RHV 4.1:

Data Center Name
  - max 40 characters
  - allowed characters: letters, numbers, dash '-', underscore '_'

Cluster Name
  - max 40 characters
  - allowed characters: letters, numbers, dash '-', underscore '_'

Host Name
  - max 255 characters
  - allowed characters: letters, numbers, dash '-', underscore '_', dot '.'

Storage Domain Name
  - max 250 characters
  - allowed characters: letters, numbers, dash '-', underscore '_'

Virtual Machine Name
  - max 255 characters
  - allowed characters: letters, numbers, dash '-', underscore '_', dot '.'


We can add dot to allowed characters in name field for above entities, but question is if 40 chars for DC/Cluster name is enough for customer or if it needs to be increased?
Comment 2 Martin Perina 2017-08-17 08:18:13 EDT
Any progress with "is 40 characters per DC/cluster name enough" question?
Comment 3 Camry Fedei 2017-12-26 10:39:26 EST
Hey Martin - sorry for the delay. I have not received word back from the customer on this since requesting the information.

Can I ask - what restrictions are there that would limit it to 40 characters? All I know is that they were hoping for longer than 15, so I assume 40 is sufficient, but just curious where that 40 came from.

Regards,
Camry

Note You need to log in before you can comment on or make changes to this bug.